/* Project mfs --- Migration file system
 * mfs_definitions.h -- User/kernel communication definitions
 * Creation: 11/12/1999
 * Update:   11/12/1999
 * V1.0 PV001
 * AUTHOR
 *    Marc SCHAEFER <schaefer@alphanet.ch>
 * LICENSE
 *    GPL
 * DESCRIPTION
 *    This include file defines data types used globally in mfs.
 * NOTES
 * BUGS
 * TODO
 * BASED-ON
 *    Original work.
 * MODIFICATION-HISTORY
 *    11/12/99  schaefer  Created this file.
 * $Id: mfs_definitions.h,v 1.5 1999/12/30 16:14:23 schaefer Exp $
 */

#ifndef _MFS_DEFINITIONS_H
#define _MFS_DEFINITIONS_H

#define MAX_PATHNAME_LENGTH 1024
#define MAX_MIGRATED_ON_PATHNAME_LENGTH 50

#define MINIMUM_BATCH_THRESHOLD 20971520 /* 20 MB batch low space migration */
#define MINIMUM_SIZE_MIGRATE    8192 /* 8 KB files minimum */

/* Type definitions */

typedef signed char BOOL;
#define FALSE 0
#define TRUE (-1)

typedef off_t mfs_index_object_size_t;

typedef unsigned long int mfs_import_object_locator_t;

typedef int mfs_uid_t;
typedef int mfs_gid_t;
typedef int mfs_time_t;
typedef int mfs_mode_t;

typedef int fd_t;

#endif /* !_MFS_DEFINITIONS_H */


