/* Project mfs --- Migration file system
 * tapectl_test.c -- Generic tape control test.
 * Creation: 04/03/2000
 * Update:   04/03/2000
 * V1.0 PV001
 * AUTHOR
 *    Marc SCHAEFER <schaefer@alphanet.ch>
 * LICENSE
 *    GPL
 * DESCRIPTION
 *    This implements a simple test for the tapectl module.
 * NOTES
 * BUGS
 * TODO
 * BASED-ON
 *    Original work.
 * MODIFICATION-HISTORY
 *    04/03/00  schaefer  Created this file.
 * $Id: tapectl_test.c,v 1.1 2000/03/04 13:28:14 schaefer Exp $
 */

#include <stdio.h>
#include <stdlib.h>
#include "../../../mfs/mfs_definitions.h"
#include "tapectl_interface.h"

/* Private function definitions */

/* NAME
 *    tape_test
 * DESCRIPTION
 *    Test the tapectl module.
 * RESULT
 *    BOOL
 * NOTES
 * BUGS
 * TODO
 */
static BOOL tape_test(tape_descriptor_t tape_fd);

int main(int argc, char **argv) {
   if (argc == 2) {
      tape_descriptor_t tape_fd;

      tape_fd = tapectl_open(argv[1], TRUE);
      if (tape_fd != TAPE_FD_ERROR) {
         int result = 1;

         if (tape_test(tape_fd)) {
            result = 0;
         }

         if (tapectl_close(&tape_fd)) {
            return result;
         }
         else {
            return 1;
         }
      }
      else {
         return 1;
      }
   }
   else {
      fprintf(stderr, "%s /dev/nst0\n%s: bad args.\n", argv[0],  argv[0]);
      return 2;
   }
}

static BOOL tape_test(tape_descriptor_t tape_fd) {
   BOOL result;

   result = tapectl_move(tape_fd, 0, 0);
   if (result) {
      /* @@@ write, reread, many files, many record seek, etc */
   }

   return result;
}
