#ifndef DCACHE_PRIVATE_H
#define DCACHE_PRIVATE_H
/* dcache_private.h -- Private definitions
 * Marc SCHAEFER <schaefer@alphanet.ch>
 * Creation:    25/08/96
 * Last update: 24/10/96
 * V1.0 PV002
 * NOTES
 * DEFINITIONS
 *    group: a number of files ending with EOF (switching between group
 *           done with kind-of mt fsf X)
 * BUGS
 * TODO
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include "types.h"

/* Internal data types */

/* Tape-saved header, variable size */
#define DCACHE_SAVED_ENTRY_T_MAGIC 0xDEADBEEF

typedef struct {
   /* BUGS: resync probably only matters if we use this format for
    *       saving actual content. If we use cpio -> ...
    */
   unsigned long magic;    /* for resync */

   dcache_stat_t descr;

   unsigned long namelen; /* zero included */

   /*   char name[((namelen + 1)%2)*2]; * _complete_ path specification

    */
} dcache_saved_entry_t;

typedef struct {
   BOOL free;             /* freed (deleted) entry ? */
   dcache_saved_entry_t description; /* variable size */
} dcache_entry_t;

/* Memory chaining */
typedef struct dcache_elt {
   struct dcache_elt *next;
   struct dcache_elt *prev;

   dcache_entry_t the_entry;
} dcache_node_t;

#endif
