#include <stdlib.h>
#include <stdio.h>
#include "dcache_interface.h"

/* Quick & dirty test */

#define DCACHE_PATH "/tmp/dcache"

typedef struct {
   char *pathname;
   dcache_stat_t stat;
} test_t;

#undef READ_ONLY

static test_t test_array[]
   = {
        { "/tmp/abcd/test", { 0, 0, 0, 0, 42, 0, "tar_file_1" } },
        { "/tmp/abcd/test2", { 0, 0, 0, 0, 45, 0, "tar_file_z" } },
        { "/tmp/abcd/test3", { 0, 0, 0, 0, 52, 0, "tar_file_A" } },
        { NULL, { 0, 0, 0, 0, 52, 0, "tar_file_A" } }
     };

int main() {
#ifdef READ_ONLY
  if (TRUE) {
#else /* !READ_ONLY */
   if (dcache_make(DCACHE_PATH) == DCACHE_RESULT_OK) {
#endif /* !READ_ONLY */
      dcache_key_t key = dcache_init(DCACHE_PATH);

      if (key) {
         BOOL first = TRUE;
         test_t *current = test_array;
         dcache_browse_t browse;
         dcache_stat_t stat;
         char path[1000];

         printf("before create [].\n");

         while (current->pathname
                && (dcache_create(key, current->pathname, current->stat)
                    == DCACHE_RESULT_OK)) {
            current++;
         }

         current = test_array;
         while (current->pathname
                && (dcache_stat(key, current->pathname, &stat)
                    == DCACHE_RESULT_OK)) {
            printf("found %s.\n", current->pathname);
            current++;
         }

         if (dcache_sync(key) != DCACHE_RESULT_OK) {
            printf("dcache_sync() ERR.\n");
            return 1;
         }

         current = test_array;
         while (current->pathname
                && (dcache_stat(key, current->pathname, &stat)
                    == DCACHE_RESULT_OK)) {
            printf("found %s.\n", current->pathname);
            current++;
         }

         printf("before browse.\n");

         while (dcache_browse(key, first, &browse, &stat, path, sizeof(path))
                == DCACHE_RESULT_OK) {
            printf("name=%s size=%ld locator=%ld migr_on=%s.\n",
                   path,
                   stat.size,
                   stat.locator,
                   stat.migrated_on);
            first = FALSE;
         }

         /* ... @@@ */

         if (dcache_deinit(key) != DCACHE_RESULT_OK) {
            printf("dcache_deinit() ERR.\n");
            return 1;
         }
      }
   }
   else {
      printf("dcache_make() ERR.\n");
      return 1;
   }

   return 0;
}
