#ifndef VFS_TYPES_H
#define VFS_TYPES_H
/* types.h -- General type definitions
 * Marc SCHAEFER <schaefer@alphanet.ch>
 * Creation:    25/08/96
 * Last update: 26/10/96
 * V1.0 PV002
 * DESCRIPTIONS
 * NOTES
 * BUGS
 * TODO
 *    - Implement debug levels.
 *    - perror ? strerror ?
 */

/* Debuglevel system. Can be used to filter messages */

#define DEBUG_INFO     0
#define DEBUG_WARN     5
#define DEBUG_ERROR    10
#define DEBUG_FATAL    100

#define MESSAGE(level, file, function, operation, parameter) fprintf(stderr, "%s/%s: %s (%s).\n", file, function, operation, parameter);


/* Misc */

#define MIN(x, y) ((x >= y) ? y : x)
#define MAX(x, y) ((x >= y) ? x : y)

#endif
