#include <stdlib.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "../src/mfs/mfs_definitions.h"
#include "../src/mfs/mfs_user_ioctls.h"

int main(int argc, char **argv) {
   if (argc != 3) {
      fprintf(stderr, "%s {1|2} filepath\n%s: bad args.\n", argv[0], argv[0]);
      return 2;
   }
   else {
      int f = open(argv[2], O_RDONLY);

      if (f != -1) {
         int result = 0;

	 if (ioctl(f, MFS_IOCTL_DEBUG, atoi(argv[1]))) {
	    perror("ioctl()");
	    result = 1;
	 }

         close(f);

         return result;
      }
      else {
         perror("open()");
         return 1;
      }
      /* NOT REACHED */
   }
   /* NOT REACHED */
}
